Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
datapush::Device Struct Reference

Device information. More...

`import <sensorpush.idl;`

## Public Attributes
DeviceType | type
| Device type.
string | label
| Device label.
string | name
| Device name (i.e. user-configurable names for Outlets, Inlets, ...)
PowerLine | line
| Power line (pole sensors only)

## Detailed Description

Device information.

Definition at line 47 of file sensorpush.idl.

## Member Data Documentation

## ◆ label

string datapush::Device::label

Device label.

Definition at line 49 of file sensorpush.idl.

## ◆ line

PowerLine datapush::Device::line

Power line (pole sensors only)

Definition at line 51 of file sensorpush.idl.

## ◆ name

string datapush::Device::name

Device name (i.e. user-configurable names for Outlets, Inlets, ...)

Definition at line 50 of file sensorpush.idl.

## ◆ type

DeviceType datapush::Device::type

Device type.

Definition at line 48 of file sensorpush.idl.

The documentation for this struct was generated from the following file:

- sensorpush.idl